For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
          • Orders
          • Request for Quote
            • GETList Quotes
            • POSTCreate Quote
            • GETGet Quote Details
            • PUTSend Quote Message
            • POSTGenerate Cart and Checkout URL for Quote
            • POSTAssign Quote to BigCommerce Order
            • POSTExport Quote PDF
            • GETGet Quote Configs
            • POSTSend Quote Email
            • GETGet Quote Store Info
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontRequest for Quote

Get Quote Store Info

GET
https://api-b2b.bigcommerce.com/api/v2/rfq/store-info
GET
/api/v2/rfq/store-info
$curl -G https://api-b2b.bigcommerce.com/api/v2/rfq/store-info \
> -H "Authorization: Bearer <token>" \
> -d storeHash=abcd1234 \
> -d companyId=123456 \
> -d salesRepId=123
200Retrieved
1{
2 "code": 200,
3 "message": "SUCCESS",
4 "data": {
5 "storeUserInfo": {
6 "storeInfo": {
7 "storeName": "B2B Store",
8 "storeAddress": "123 Main Street Austin, TX 78704 United States of America",
9 "storeCountry": "United States",
10 "storeLogo": "https://cdn11.bigcommerce.com/s-abcd1234/product_images/logo.png",
11 "storeUrl": "https://mybcstore.com"
12 },
13 "companyInfo": {
14 "companyId": "123456",
15 "companyName": "Great Buys Incorporated",
16 "companyAddress": "512 Bluebonnet Lane",
17 "copmanyCountry": "United States",
18 "companyState": "Texas",
19 "companyCity": "Austin",
20 "companyZipCode": "78704",
21 "phoneNumber": "512-200-1234",
22 "companyEmail": "admin@greatbuysinc.com",
23 "bcId": 14
24 },
25 "salesRepInfo": {
26 "salesRepName": "Aristotle",
27 "salesRepEmail": "aristotle@mybcstore.com",
28 "salesRepPhoneNumber": "512-111-4444"
29 },
30 "extraFieldsInfo": {
31 "id": 9754,
32 "uuid": "a1416803-97be-4ec5-b7b3-3e1a64a48ae8",
33 "fieldName": "Do you require any customizations to the products?",
34 "fieldType": 0,
35 "isRequired": "false",
36 "isUnique": "false",
37 "visibleToEnduser": "true",
38 "configType": "1 (built-in)",
39 "defaultValue": "Please provide a brief summary of your desired specifications.",
40 "labelName": "Do you require any customizations to the products?",
41 "listOfValue": "[Yes, No]",
42 "maximumLength": 100,
43 "nubmerOfRows": 10,
44 "valueConfigs": {
45 "defaultValue": "Please provide a brief summary of your desired specifications.",
46 "listOfValue": "[Yes, No]",
47 "maximumLimit": 10
48 }
49 },
50 "quoteLogo": "https://s3-us-west-2.amazonaws.com/bundleb2b-v3.0-media-files-prod/quote-logo.png"
51 }
52 }
53}
Retrieves basic information about the store, Company, sales rep, and extra field information. This is used in the storefront to provide basic information on a quote’s detail page, such as the quote logo and Sales Staff user details. The `companyId` and `salesRepId` parameters must be included in the query in order to return Company and sales rep information respectively. If omitted, the response still contains store and extra field information.
Was this page helpful?
Previous

Send Quote Email

Next

Super Admin

Built with

Retrieves basic information about the store, Company, sales rep, and extra field information. This is used in the storefront to provide basic information on a quote’s detail page, such as the quote logo and Sales Staff user details.

The companyId and salesRepId parameters must be included in the query in order to return Company and sales rep information respectively. If omitted, the response still contains store and extra field information.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

storeHashstringOptional
The unique alphanumeric store hash for the BigCommerce store.
companyIdstringOptional
The unique identifier for the Company account associated with the quote.
salesRepIdstringOptional
The unique identifier for the Sales Staff user assigned to the quote.

Response

OK
codeintegerDefaults to 200
messagestringDefaults to SUCCESS
dataobject